Get manager

The Get manager method returns manager's details for the current reseller or any of its downstream resellers.

XML
GET {base_url}/api/v3/resellers/{reseller_id}/managers/{manager_id}

Arguments

Name

Parameter Type

Data type

Required/ Optional

Description

X-Api-Token

header

string

Required

API token of a manager that performs the operation (see


)

Content-Type

header

string

Required

Media type of the request. Specify the following: application/vnd.api+json

Accept

header

string

Required

Supported media types of the answer. Specify the following: application/vnd.api+json

base_url

path

string

Required

ActivePlatform URL

reseller_id

path

integer

Required

ID of the current reseller or any of its downstream resellers (see 


)

manager_id

path

integer

Required

ID of the manager

Response model

Name

Data type

Description

data

object

Response data


id

integer

ID of the manager


type

string

Data type


attributes

object

Information about the manager



created_at

string

Date and time of the manager creation



updated_at

string

Date and time when the manager was updated



reseller_id

integer

ID of the manager's reseller



name

string

Manager's name



status

string

Status of the manager:

  • active — access to the Operator Control Panel is allowed.

  • inactive — access to the Operator Control Panel is blocked.



email

string

Manager's email which is used as a login to the Operator Control Panel



manager_role

object

Manager's role (for the list of roles, see


 and

Get list of roles

)




id

integer

The role ID. For administrators at the root level, returns null




name

string

The role name. For administrators at the root level, returns null



phone

string

Manager's phone number:

  • + < country code > < city code or network code > < phone number >.

  • 00 < country code > < city code or network code > < phone number >.



photo

string

Link to the file of the manager's photo



manager_key

string

Unique manager's key



mfa_required

bool

The multi-factor authentication (MFA) status of a manager (see


):

  • true — the MFA status is Active.

  • false — the MFA status is Inactive.



custom_attributes

object

Manager's attributes (see )




['custom_attribute_key']

string

Manager's attribute value for the specified attribute key

Request example

XML
GET /api/v3/resellers/1/managers/431
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
X-Api-Token: vY5fwetestK3gJXZH5uHCw
Accept: application/vnd.api+json

Response example

JSON
{
    "data": {
        "id": "431",
        "type": "managers",
        "attributes": {
            "created_at": "2021-01-05T05:28:48.804+03:00",
            "updated_at": "2021-01-05T06:23:10.815+03:00",
            "reseller_id": 1,
            "name": "Brendon Leannon",
            "status": "active",
            "email": "carter81@example.net",
            "manager_role": {
                "id": null,
                "name": null
            },
            "phone": "+375290000000",
            "photo": "/images/manager/431/manager.png",
            "manager_key": "",
            "mfa_required": true, 
            "custom_attributes": {
                "manager_1c_identifier": "20"
            }
        }
    }
}